通过第三方订单编号获取订单详情
GET /app/order/orderDetailByThirdOrderSn?third_order_sn=| 字段 | 名称 | 类型 | 是否必须 |
| third_order_sn | 第三方订单编号 | string | 是 |
金额单位都是分(返回所有第三方订单号是这个的订单)
| 字段 | 名称 | 类型 | 是否必须 |
| id | 订单id | ||
| created_at | 下单时间 | ||
| order_sn | 订单编号 | ||
|
third_order_sn |
第三方订单编号 | ||
| title | 标题 | ||
| status | 订单状态 | 0待支付 1待发货 2待收货 3已完成,-1已关闭 5退换货 6已退款 | |
| status_name | 状态中文名称 | ||
| amount | 订单总金额(分) | ||
| item_amount | 商品市场价(分) | ||
| supply_amount | 供货金额(分) | ||
| cost_amount | 成本金额(分) | ||
| freight | 运费(分) | ||
| goods_count | 商品总数 | ||
| remark | 买家留言 | ||
| note | 商家备注 | ||
| technical_services_fee | 技术服务费(分) | ||
| paid_at | 支付时间 | ||
| sent_at | 发货时间 | ||
| received_at | 收货时间 | ||
| closed_at | 关闭时间 | ||
| user_id | 用户id | ||
| pay_type_id | 订单支付方式 支付方式看pay_type字段即可会返回名称 | ||
| pay_type | 支付方式 文字版 | ||
| shipping_method_id | 配送方式id | ||
| shipping_method | 配送方式名称 | ||
| amount_detail | 订单价格汇总 | array | |
| order_items | 商品详情 具体可查看商品详情接口文档 | ||
| order_express | 物流内容 物流详情需要请求物流详情API | array | |
| user | 用户内容 名称 id | array | |
| shipping_address | 收货地址 | array |
amount_detail:
| 字段 | 名称 | 类型 | 是否必须 |
| title | 名称:订单总价 | ||
| amount | 价格 | ||
| qty | 数量 | ||
| amount_items | 费用详情 | amount_items |
amount_items
| 字段 | 名称 | 类型 | 是否必须 |
| title | 名称:订单总价 | ||
| amount | 价格 | ||
| qty | 数量 | ||
| amount_items | 费用详情 | amount_items |
shipping_address
| 字段 | 名称 | 类型 | 是否必须 |
| realname | 真实姓名 | ||
| mobile | 联系方式 | ||
| province | 省 | ||
| city | 市 | ||
| county | 区 | ||
| town | 街道 | ||
| detail | 详情 |
order_item
| 字段 | 名称 | 类型 | 是否必须 |
|
id |
子订单id | ||
|
order_id |
订单id | ||
|
title |
商品名称 | ||
|
sku_title |
商品规格名称 | ||
|
unit |
商品单位 | ||
|
qty |
个数 | ||
|
amount |
总价 | ||
|
price |
售价 | ||
|
image_url |
商品图片 | ||
|
product_id |
商品id | ||
|
supply_amount |
|||
|
sku_id |
|||
|
refund_status |
退货退款状态状态 1正常 2售后中 3完成 | ||
|
can_refund |
可以退款(1是0否) |
{ "code": 0, "data": { "read": [ { "id": 397, "created_at": 1635756116, "updated_at": 1636091890, "order_sn": 179933173047, "third_order_sn": "3333333333", "status": 3, "status_name": "已完成", "title": " ceshi0802", "freight": 0, "amount": 8640, "item_amount": 8000, "supply_amount": 10000, "technical_services_fee": 640, "remark": "", "note": "", "goods_count": 1, "user_id": 35, "shipping_address_id": 334, "shipping_method": "", "shipping_method_id": 0, "comment_status": 0, "order_items": [ { "id": 480, "order_id": 397, "title": "ceshi0802供应商的商品1", "sku_title": "默认", "unit": "", "qty": 1, "amount": 8000, "price": 8000, "image_url": "https://supply-chain-yunzmall.oss-cn-beijing.aliyuncs.com/20211027/1635325820QQ截图20211007105506.png", "product_id": 1028721, "supply_amount": 10000, "sku_id": 21139, "order_express_id": 99, "comment_status": 0, "refund_status": 0, "can_refund": 0, "refund_amount": 0, "send_status": 1, "options": [ { "spec_name": "规格", "spec_item_name": "默认" } ] } ], "order_express": [ { "id": 99, "express_no": "321321", "company_code": "AAEWEB", "company_name": "AAE", "created_at": 1636005486, "order_items": [] } ], "shipping_address": { "id": 334, "realname": "测试", "mobile": "18249104358", "country_id": 0, "province_id": 23, "city_id": 0, "county_id": 0, "town_id": 0, "province": "黑龙江省", "city": "", "county": "", "town": "", "detail": "", "lng": "", "lat": "" }, "user": { "id": 35, "created_at": 1631947675, "updated_at": 1633932501, "mobile": "", "avatar": "https://supply-chain-yunzmall.oss-cn-beijing.aliyuncs.com/20211011/1633932497play.png", "username": "18249104358", "nickname": "", "status": 1, "uuid": "37fb8a3a-f0d4-43e9-99d6-c947580d2cb1", "level_id": 2, "parent_id": 0, "temporary_parent_id": 0, "qr_code": "", "invite_code": "5AQVH795", "wx_username": "", "user_level": { "id": 0, "created_at": null, "updated_at": null, "discount": 0, "name": "" } }, "amount_detail": { "title": "订单总价", "amount": 8640, "qty": 0, "desc": "", "amount_items": [ { "title": "商品总价", "amount": 8000, "qty": 0, "desc": "", "amount_items": null }, { "title": "技术服务费", "amount": 640, "qty": 0, "desc": "服务费比例800", "amount_items": null }, { "title": "总运费", "amount": 0, "qty": 0, "desc": "", "amount_items": null } ] }, "paid_at": 1635756116, "sent_at": 1636005486, "received_at": 1636091890, "closed_at": null, "button": [ { "title": "已完成", "url": "" }, { "title": "全额退款", "url": "order/orderRefund" } ], "order_bill": { "id": 0, "created_at": null, "updated_at": null, "order_id": 0, "type": 0, "account_type": 0, "person_name": "", "mobile": "", "company_name": "", "company_code": "", "email": "", "sign_address": "", "sign_mobile": "", "opening_bank": "", "bank_account": "", "status": 0, "detail_type": 0, "amount": 0, "image": "" }, "application_id": 6 }, { "id": 398, "created_at": 1635756150, "updated_at": 1636091860, "order_sn": 179933176788, "third_order_sn": "3333333333", "status": 3, "status_name": "已完成", "title": " ceshi0802", "freight": 0, "amount": 8640, "item_amount": 8000, "supply_amount": 10000, "technical_services_fee": 640, "remark": "", "note": "", "goods_count": 1, "user_id": 35, "shipping_address_id": 0, "shipping_method": "", "shipping_method_id": 0, "comment_status": 0, "order_items": [ { "id": 481, "order_id": 398, "title": "ceshi0802供应商的商品1", "sku_title": "默认", "unit": "", "qty": 1, "amount": 8000, "price": 8000, "image_url": "https://supply-chain-yunzmall.oss-cn-beijing.aliyuncs.com/20211027/1635325820QQ截图20211007105506.png", "product_id": 1028721, "supply_amount": 10000, "sku_id": 21139, "order_express_id": 98, "comment_status": 0, "refund_status": 0, "can_refund": 0, "refund_amount": 0, "send_status": 1, "options": [ { "spec_name": "规格", "spec_item_name": "默认" } ] } ], "order_express": [ { "id": 98, "express_no": "321321321", "company_code": "AAEWEB", "company_name": "AAE", "created_at": 1636005455, "order_items": [] } ], "shipping_address": { "id": 0, "realname": "", "mobile": "", "country_id": 0, "province_id": 0, "city_id": 0, "county_id": 0, "town_id": 0, "province": "", "city": "", "county": "", "town": "", "detail": "", "lng": "", "lat": "" }, "user": { "id": 35, "created_at": 1631947675, "updated_at": 1633932501, "mobile": "", "avatar": "https://supply-chain-yunzmall.oss-cn-beijing.aliyuncs.com/20211011/1633932497play.png", "username": "18249104358", "nickname": "", "status": 1, "uuid": "37fb8a3a-f0d4-43e9-99d6-c947580d2cb1", "level_id": 2, "parent_id": 0, "temporary_parent_id": 0, "qr_code": "", "invite_code": "5AQVH795", "wx_username": "", "user_level": { "id": 0, "created_at": null, "updated_at": null, "discount": 0, "name": "" } }, "amount_detail": { "title": "订单总价", "amount": 8640, "qty": 0, "desc": "", "amount_items": [ { "title": "商品总价", "amount": 8000, "qty": 0, "desc": "", "amount_items": null }, { "title": "技术服务费", "amount": 640, "qty": 0, "desc": "服务费比例800", "amount_items": null }, { "title": "总运费", "amount": 0, "qty": 0, "desc": "", "amount_items": null } ] }, "paid_at": 1635756150, "sent_at": 1636005455, "received_at": 1636091860, "closed_at": null, "button": [ { "title": "已完成", "url": "" }, { "title": "全额退款", "url": "order/orderRefund" } ], "order_bill": { "id": 0, "created_at": null, "updated_at": null, "order_id": 0, "type": 0, "account_type": 0, "person_name": "", "mobile": "", "company_name": "", "company_code": "", "email": "", "sign_address": "", "sign_mobile": "", "opening_bank": "", "bank_account": "", "status": 0, "detail_type": 0, "amount": 0, "image": "" }, "application_id": 6 } ] }, "msg": "操作成功"}